## firebird4.0 4.0.6.3221.ds6

=== examples/CMakeLists.txt ===
include(SourceGroups)

###############################################################################
#
# examples
#
###############################################################################

########################################
# EXECUTABLE empbuild
########################################

if (NOT CMAKE_CROSSCOMPILING)

add_custom_command(
    OUTPUT empbuild.fdb
    DEPENDS
        isql
        ${CMAKE_CURRENT_SOURCE_DIR}/empbuild/empbld.sql
    COMMAND ${CMAKE_COMMAND} -E remove empbuild.fdb
    COMMAND ${ISQL_CMD} -q -i ${CMAKE_CURRENT_SOURCE_DIR}/empbuild/empbld.sql
    COMMAND ${CMAKE_COMMAND} -E copy_if_different empbuild.fdb empbuild_.fdb
    COMMAND ${CMAKE_COMMAND} -E remove empbuild.fdb
    COMMAND ${CMAKE_COMMAND} -E copy_if_different empbuild_.fdb empbuild.fdb
)
add_custom_command(
    OUTPUT empbuild.c
    DEPENDS
        gpre
        ${CMAKE_CURRENT_SOURCE_DIR}/empbuild/empbuild.e
        empbuild.fdb
    COMMENT "Calling GPRE for empbuild.e"
    COMMAND ${GPRE_CMD} -r -m -n ${CMAKE_CURRENT_SOURCE_DIR}/empbuild/empbuild.e empbuild.c
)

add_executable          (empbuild empbuild.c empbuild.fdb ${CMAKE_CURRENT_SOURCE_DIR}/empbuild/empbuild.e)
target_link_libraries   (empbuild yvalve)
set_output_directory    (empbuild . CURRENT_DIR)
add_dependencies_cc     (empbuild engine)
project_group           (empbuild Examples)

file(GLOB files
    "${CMAKE_CURRENT_SOURCE_DIR}/empbuild/*.sql"
    "${CMAKE_CURRENT_SOURCE_DIR}/empbuild/*.inp"
)
foreach(F ${files})
    get_filename_component(name ${F} NAME)
    add_custom_command(TARGET empbuild POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${F} ${name})
endforeach()


########################################
# BUILD STEP employee_db
########################################

add_custom_command(
    OUTPUT employe2.fdb
    DEPENDS
        empbuild
        gfix
        ${files}
    COMMAND ${CMAKE_COMMAND} -E remove employe2.fdb
    COMMAND ${CMAKE_COMMAND} -E remove employe2_.fdb
    COMMAND ${EMPBUILD_CMD} employe2_.fdb
    COMMAND ${CMAKE_COMMAND} -E copy_if_different employe2_.fdb employe2.fdb
)
add_custom_target       (employee_db ALL DEPENDS employe2.fdb SOURCES ${files})
project_group           (employee_db "Examples/Custom build steps")

endif() # if (NOT CMAKE_CROSSCOMPILING)


########################################
# SHARED LIBRARY udrcpp_example
########################################

file(GLOB udrcpp_example_src "udr/*")

add_library             (udrcpp_example SHARED ${udrcpp_example_src})
target_link_libraries   (udrcpp_example yvalve)
set_exported_symbols    (udrcpp_example udr_plugin)
set_output_directory    (udrcpp_example plugins/udr)
project_group           (udrcpp_example Examples)


########################################
# SHARED LIBRARY dbcrypt_example
########################################

add_library             (dbcrypt_example SHARED dbcrypt/DbCrypt.cpp)
set_target_properties   (dbcrypt_example PROPERTIES OUTPUT_NAME DbCrypt_example)
set_output_directory    (dbcrypt_example plugins)
add_dependencies_cc     (dbcrypt_example UpdateCloopInterfaces)
project_group           (dbcrypt_example Examples)


########################################
# SHARED LIBRARY cryptkeyholder_example
########################################

add_library             (cryptkeyholder_example SHARED dbcrypt/CryptKeyHolder.cpp)
set_target_properties   (cryptkeyholder_example PROPERTIES OUTPUT_NAME CryptKeyHolder_example)
set_output_directory    (cryptkeyholder_example plugins)
add_dependencies_cc     (cryptkeyholder_example UpdateCloopInterfaces)
project_group           (cryptkeyholder_example Examples)

###############################################################################

=== examples/extauth/Makefile ===
#  The contents of this file are subject to the Initial
#  Developer's Public License Version 1.0 (the "License");
#  you may not use this file except in compliance with the
#  License. You may obtain a copy of the License at
#  https://www.firebirdsql.org/en/initial-developer-s-public-license-version-1-0/
#
#  Software distributed under the License is distributed AS IS,
#  WITHOUT WARRANTY OF ANY KIND, either express or implied.
#  See the License for the specific language governing rights
#  and limitations under the License.
#
#  The Original Code was created by Alexander Peshkoff
#  for the Firebird Open Source RDBMS project.
#
#  Copyright (c) 2020 Alexander Peshkoff <peshkoff@mail.ru>
#  and all contributors signed below.
#
#  All Rights Reserved.
#  Contributor(s): ______________________________________.

ifndef ROOT
  ROOT=../..
endif
#ROOT=$(shell cd ../..; pwd)

PLUGINS=$(ROOT)/plugins
BIN=$(ROOT)/bin
LIB=$(ROOT)/lib

LIB_PREFIX=lib
SHRLIB_EXT=so

ifndef INTERMED
  INTERMED=.
endif

ifdef OUT
  OUT_BIN=$(OUT)/bin
  OUT_PLUG=$(OUT)/plugins
else
  OUT_BIN=.
  OUT_PLUG=.
endif

TOMCRYPT_COMPILE=-DLTC_PTHREAD -DUSE_LTM -DLTM_DESC
OwnInclude=$(shell [ -d tomcrypt.include ] && echo Yes || echo No)
ifeq ($(OwnInclude), Yes)
TOMCRYPT_COMPILE += -Itomcrypt.include
TOMCRYPT_LINK=-L$(LIB)/.tm
endif

SIMPLE_KEY_AUTH_NAME=$(LIB_PREFIX)fbSampleExtAuth.$(SHRLIB_EXT)
BLD_SIMPLE_KEY_AUTH=$(OUT_PLUG)/$(SIMPLE_KEY_AUTH_NAME)
SIMPLE_KEY_AUTH=$(PLUGINS)/$(SIMPLE_KEY_AUTH_NAME)

KEYGEN_NAME=fbSampleExtAuthKeygen
BLD_KEYGEN=$(OUT_BIN)/$(KEYGEN_NAME)
KEYGEN=$(BIN)/$(KEYGEN_NAME)

KEYGEN_objects=$(INTERMED)/keygen.o
TCWRAP_objects=$(INTERMED)/TcWrapper.o
KEY_AUTH_objects=$(INTERMED)/ExtAuth.o

CXXFLAGS=-std=c++11 -pthread -I$(ROOT)/include -fPIC $(TOMCRYPT_COMPILE)
LDFLAGS=-pthread -L$(LIB) -Wl,-rpath,'$$ORIGIN/../lib' $(TOMCRYPT_LINK)

LINK_LIBS=-lfbclient -ltomcrypt -ltommath

$(INTERMED)/%.o: ./%.cpp
	$(CXX) $(CXXFLAGS) -c $(firstword $<) -o $@

.PHONY:		all keygen plugin install

all:		keygen plugin

keygen:		$(BLD_KEYGEN)

$(BLD_KEYGEN):	$(KEYGEN_objects) $(TCWRAP_objects)
	$(CXX) $(LDFLAGS) $^ -o $@ $(LINK_LIBS)

plugin:		$(BLD_SIMPLE_KEY_AUTH)

$(BLD_SIMPLE_KEY_AUTH):	$(KEY_AUTH_objects) $(TCWRAP_objects)
	$(CXX) -shared $(LDFLAGS) $^ -o $@ $(LINK_LIBS)

clean:
	rm -f $(INTERMED)/*.o* $(BLD_KEYGEN) $(BLD_SIMPLE_KEY_AUTH)

install:	$(SIMPLE_KEY_AUTH) $(KEYGEN)

$(SIMPLE_KEY_AUTH): $(BLD_SIMPLE_KEY_AUTH)
	cp $^ $@

$(KEYGEN): $(BLD_KEYGEN)
	cp $^ $@

=== extern/cloop/Makefile ===
MODULES	:= cloop tests tests/test1

WITH_FPC	:= 1

TARGET	:= release

CC	:= $(CC)
CXX	:= $(CXX)
LD	:= $(CXX)

SRC_DIR		:= src
BUILD_DIR	:= build
OUT_DIR		:= output
SHRLIB_EXT	:= .so
EXE_EXT		:=

OBJ_DIR := $(BUILD_DIR)/$(TARGET)
BIN_DIR := $(OUT_DIR)/$(TARGET)/bin
LIB_DIR := $(OUT_DIR)/$(TARGET)/lib

SRC_DIRS := $(addprefix $(SRC_DIR)/,$(MODULES))
OBJ_DIRS := $(addprefix $(OBJ_DIR)/,$(MODULES))

SRCS_C := $(foreach sdir,$(SRC_DIRS),$(wildcard $(sdir)/*.c))
SRCS_CPP := $(foreach sdir,$(SRC_DIRS),$(wildcard $(sdir)/*.cpp))

OBJS_C := $(patsubst $(SRC_DIR)/%.c,$(OBJ_DIR)/%.o,$(SRCS_C))
OBJS_CPP := $(patsubst $(SRC_DIR)/%.cpp,$(OBJ_DIR)/%.o,$(SRCS_CPP))

C_FLAGS := -ggdb -fPIC -MMD -MP -W -Wall -Wno-unused-parameter
CXX_FLAGS := $(C_FLAGS) -std=c++11
FPC_FLAGS := -Mdelphi -Cg

ifeq ($(shell uname),FreeBSD)
	DL_LIB :=
else
	DL_LIB := -ldl
endif

ifeq ($(TARGET),release)
	CXX_FLAGS += -O3
endif

ifeq ($(shell uname),Darwin)
CXX_FLAGS += -stdlib=libc++
endif

ifeq ($(TARGET),debug)
	FPC_FLAGS += -g
	LD_FLAGS += -ggdb
endif

vpath %.c $(SRC_DIRS)
vpath %.cpp $(SRC_DIRS)

define compile
$1/%.o: %.c | $1
	$(CC) -c $$(C_FLAGS) $$< -o $$@

$1/%.o: %.cpp | $1
	$(CXX) -c $$(CXX_FLAGS) $$< -o $$@
endef

.PHONY: all mkdirs clean

all: mkdirs \
	$(BIN_DIR)/cloop	\
	$(BIN_DIR)/test1-c$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-c$(EXE_EXT)	\
	$(BIN_DIR)/test1-cpp$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-cpp$(EXE_EXT)	\
	$(BIN_DIR)/test1-pascal$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-pascal$(EXE_EXT)

mkdirs: $(OBJ_DIRS) $(BIN_DIR) $(LIB_DIR)

$(OBJ_DIRS) $(BIN_DIR) $(LIB_DIR):
	@mkdir -p $@

clean:
	@rm -rf $(BUILD_DIR) $(OUT_DIR)

$(foreach bdir,$(OBJ_DIRS),$(eval $(call compile,$(bdir))))

-include $(addsuffix .d,$(basename $(OBJS_C)))
-include $(addsuffix .d,$(basename $(OBJS_CPP)))

$(BIN_DIR)/cloop: \
	$(OBJ_DIR)/cloop/Action.o \
	$(OBJ_DIR)/cloop/Expr.o \
	$(OBJ_DIR)/cloop/Generator.o \
	$(OBJ_DIR)/cloop/Lexer.o \
	$(OBJ_DIR)/cloop/Parser.o \
	$(OBJ_DIR)/cloop/Main.o \
	| $(BIN_DIR)

	$(LD) $^ -o $@ $(LIBS)

$(SRC_DIR)/tests/test1/CalcCApi.h: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c-header $@ CALC_C_API_H CALC_I

$(SRC_DIR)/tests/test1/CalcCApi.c: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl $(SRC_DIR)/tests/test1/CalcCApi.h
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c-impl $@ CalcCApi.h CALC_I

$(SRC_DIR)/tests/test1/CalcCppApi.h: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c++ $@ CALC_CPP_API_H calc I

$(SRC_DIR)/tests/test1/CalcPascalApi.pas: $(BIN_DIR)/cloop \
	$(SRC_DIR)/tests/test1/Interface.idl \
	$(SRC_DIR)/tests/test1/CalcPascalApi.interface.pas \
	$(SRC_DIR)/tests/test1/CalcPascalApi.implementation.pas
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl pascal $@ CalcPascalApi \
		--uses "SysUtils" \
		--interfaceFile $(SRC_DIR)/tests/test1/CalcPascalApi.interface.pas \
		--implementationFile $(SRC_DIR)/tests/test1/CalcPascalApi.implementation.pas \
		--exceptionClass CalcException

$(SRC_DIR)/tests/test1/CppTest.cpp: $(SRC_DIR)/tests/test1/CalcCppApi.h

$(BIN_DIR)/test1-c$(SHRLIB_EXT): \
	$(OBJ_DIR)/tests/test1/CalcCApi.o \
	$(OBJ_DIR)/tests/test1/CTest.o \

	$(LD) $^ -shared $(DL_LIB) -o $@ $(LIBS)

$(BIN_DIR)/test1-c$(EXE_EXT): \
	$(OBJ_DIR)/tests/test1/CalcCApi.o \
	$(OBJ_DIR)/tests/test1/CTest.o \

	$(LD) $^ $(DL_LIB) -o $@ $(LIBS)

$(BIN_DIR)/test1-cpp$(SHRLIB_EXT): \
	$(OBJ_DIR)/tests/test1/CppTest.o \

	$(LD) $^ -shared $(DL_LIB) -o $@ $(LIBS)

$(BIN_DIR)/test1-cpp$(EXE_EXT): \
	$(OBJ_DIR)/tests/test1/CppTest.o \

	$(LD) $^ $(DL_LIB) -o $@ $(LIBS)

$(BIN_DIR)/test1-pascal$(SHRLIB_EXT): \
	$(SRC_DIR)/tests/test1/PascalClasses.pas \
	$(SRC_DIR)/tests/test1/PascalLibrary.dpr \
	$(SRC_DIR)/tests/test1/CalcPascalApi.pas \

ifeq ($(WITH_FPC),1)
	fpc $(FPC_FLAGS) -fPIC -FU$(OBJ_DIR)/tests/test1 -o$(BIN_DIR)/test1-pascal$(SHRLIB_EXT) $(SRC_DIR)/tests/test1/PascalLibrary.dpr
endif

$(BIN_DIR)/test1-pascal$(EXE_EXT): \
	$(SRC_DIR)/tests/test1/PascalClasses.pas \
	$(SRC_DIR)/tests/test1/PascalTest.dpr \
	$(SRC_DIR)/tests/test1/CalcPascalApi.pas \

ifeq ($(WITH_FPC),1)
	fpc $(FPC_FLAGS) -FU$(OBJ_DIR)/tests/test1 -o$(BIN_DIR)/test1-pascal$(EXE_EXT) $(SRC_DIR)/tests/test1/PascalTest.dpr
endif

=== src/utilities/CMakeLists.txt ===
include(SourceGroups)

###############################################################################
# EXECUTABLE fbsvcmgr
###############################################################################

add_executable          (fbsvcmgr fbsvcmgr/fbsvcmgr.cpp ${VERSION_RC})
target_link_libraries   (fbsvcmgr common yvalve)

###############################################################################
# EXECUTABLE nbackup
###############################################################################

set(nbackup_src
    ../jrd/ods.cpp
    nbackup/main/nbkMain.cpp
    nbackup/nbackup.cpp
)
file(GLOB nbackup_include "nbackup/*.h")

add_executable          (nbackup ${nbackup_src} ${nbackup_include} ${VERSION_RC})
target_link_libraries   (nbackup common yvalve)


###############################################################################
# EXECUTABLE gsec
###############################################################################

set(gsec_src
    gsec/gsec.cpp
    gsec/main/gsecMain.cpp

    gsec/gsec.h
)

add_executable          (gsec ${gsec_src} ${VERSION_RC})
target_link_libraries   (gsec common yvalve)


###############################################################################
# SHARED LIBRARY fbtrace
###############################################################################

set(fbtrace_src
    ntrace/PluginLogWriter.cpp
    ntrace/TraceConfiguration.cpp
    ntrace/traceplugin.cpp
    ntrace/TracePluginImpl.cpp

    ntrace/os/platform.h
)
add_src_win32(fbtrace_src ntrace/os/win32/platform.cpp)
add_src_unix (fbtrace_src ntrace/os/posix/platform.cpp)

file(GLOB fbtrace_include "ntrace/*.h")

add_library             (fbtrace SHARED ${fbtrace_src} ${fbtrace_os_src} ${fbtrace_include} ${VERSION_RC})
target_link_libraries   (fbtrace common yvalve)
set_output_directory    (fbtrace plugins)
set_exported_symbols    (fbtrace fbplugin)


###############################################################################

if (WIN32)
    ###########################################################################
    # EXECUTABLE instreg
    ###########################################################################
    set(instreg_src
        install/install_reg.cpp
        install/registry.cpp

        install/registry.h
        install/regis_proto.h
    )
    add_executable              (instreg ${instreg_src} ${VERSION_RC})

    ###########################################################################
    # EXECUTABLE instsvc
    ###########################################################################
    set(instsvc_src
        install/install_svc.cpp
        install/services.cpp

        install/servi_proto.h
    )
    add_executable              (instsvc ${instsvc_src} ${VERSION_RC})
    target_link_libraries       (instsvc common yvalve)

    ###########################################################################
    # EXECUTABLE instclient
    ###########################################################################
    set(instclient_src
        install/install.cpp
        install/install_client.cpp

        install/install_proto.h
    )
    add_executable              (instclient ${instclient_src} ${VERSION_RC})
    target_link_libraries       (instclient version)
endif(WIN32)

=== debian/changelog ===
firebird4.0 (4.0.6.3221.ds6-2) unstable; urgency=medium

  * -examples: replace firebird4.0-dev recommendation with firebird-dev.
    Thanks to Carles Pina i Estany (Closes: #1113833)
  * convert debian/watch to version 5

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Sep 2025 09:44:20 +0000

firebird4.0 (4.0.6.3221.ds6-1) unstable; urgency=medium

  * rename default branch to debian/unstable
  * turn off pristine-tar in gbp.conf
  * rename upstream branch to upstream/latest
  * New upstream version 4.0.6.3221.ds6
    Closes: #1111320 (CVE-2025-54989)
    Closes: #1111322 (CVE-2025-24975)
  * rebase and refresh patches
  * drop debian/source/local-options
  * declare conformance with Policy 4.7.2 (no changes needed)
  * declare origin of upstream/std-c++-17.patch

 -- Damyan Ivanov <dmn@debian.org>  Sun, 17 Aug 2025 19:24:26 +0000

=== debian/control ===
Source: firebird4.0
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 gawk,
 libabsl-dev,
 libboost-dev,
 libedit-dev,
 libicu-dev,
 libre2-dev,
 libtomcrypt-dev,
 libtommath-dev,
 libtool,
 pkgconf,
 po-debconf,
 recode,
 rename,
 systemd-dev,
 unzip,
 zlib1g-dev,
Build-Conflicts:
 autoconf2.13,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/firebird-team/firebird4.0.git
Vcs-Browser: https://salsa.debian.org/firebird-team/firebird4.0
Homepage: https://firebirdsql.org/
Rules-Requires-Root: no

Package: firebird-dev
Section: libdevel
Architecture: any
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 libfbclient2 (>= ${source:Version}),
 libib-util (>= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 firebird4.0-examples,
Description: Development files for Firebird
 C header files for Firebird, useful if one compiles programs that use the
 Firebird client to work with Firebird databases.
 .
 See firebird4.0-server package for more information about Firebird.

Package: firebird4.0-common
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 perl,
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: common files for firebird 4.0 server, client and utilities
 Common files for the Firebird server, client and user utilities.
 .
 These include the support scripts as well as configuration files in
 /etc/firebird/4.0.

Package: firebird4.0-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: copyright, licensing and changelogs of firebird4.0
 Copyright, licensing information and upstream changelog of firebird4.0.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird4.0 packages.

Package: firebird4.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Documentation files for firebird database version 4.0
 Various documents for firebird 4.0. These include the release notes, what's
 new in firebird 4.0, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird4.0-examples
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird-dev,
Description: Examples for Firebird database
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 See firebird4.0-server package for more information about Firebird.

Package: firebird4.0-server
Architecture: any
Depends:
 adduser,
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 firebird4.0-server-core (= ${binary:Version}),
 firebird4.0-utils (= ${binary:Version}),
 firebird-utils,
 libfbclient2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 libib-util,
Suggests:
 firebird4.0-doc,
Description: Firebird Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the server binary as well as its configuration files.
 The default mode of operation is the so called "super", which is a
 single-threaded server process with shared database cache between
 connections. The two other operation modes -- "classic" (separate
 process/cache for each connection) and "superclassic" (separate thread/cache
 for each connection) are also available via configuration options.

Package: firebird4.0-server-core
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 ${icu:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird4.0-utils,
Suggests:
 firebird4.0-server,
Enhances:
 libfbclient2,
Description: Firebird engine core
 Firebird database engine and support libraries. This package is required for
 embedded (serverless) access to local databases with the tools packaged in
 firebird4.0-utils or other binaries linked to the firebird client library,
 libfbclient2.
 .
 The rest of the binaries needed for running a full-featured,
 remotely-accessible Firebird server are in the firebird4.0-server package.

Package: firebird-utils
Architecture: all
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 firebird4.0-utils | firebird3.0-utils (>= ${fb3:multi-ver}),
 ${misc:Depends},
Replaces:
 firebird3.0-utils (<< ${fb3:multi-ver}),
 firebird3.0-server (<< ${fb3:multi-ver}),
Breaks:
 firebird3.0-utils (<< ${fb3:multi-ver}),
 firebird3.0-server (<< ${fb3:multi-ver}),
Recommends:
 firebird4.0-server-core,
Suggests:
 firebird4.0-doc,
 firebird4.0-server,
Description: Firebird command line utilities wrapper
 firebird-utils contains a wrapper script which allows running specific
 version of firebird utilities like gbak or isql-fb. If no version is
 specified, the latest available is used.

Package: firebird4.0-utils
Architecture: any
Depends:
 firebird-utils,
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 libfbclient2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird4.0-server-core,
Suggests:
 firebird4.0-doc,
 firebird4.0-server,
Description: Firebird command line utilities
 This package contains the utilities for managing Firebird databases:
  * isql-fb -- interactive console (original name isql)
  * gbak -- backup and restore databases
  * gfix -- check and repair databases
  * gsec -- manage users and roles
  * fbstat -- analyze databases (original name gstat)
  * nbackup -- incremental backup and file-level copy
  * gpre -- preprocess sources with embedded SQL

Package: libfbclient2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: firebird3.0-server (<< ${fb3:multi-ver}),
 libreoffice-sdbc-firebird (<< 4:24.8.4-2~),
Pre-Depends:
 ${misc:Pre-Depends},
Description: Firebird client library
 Client library for connecting to the Firebird server. It can also be used for
 direct (embedded) database access.
 .
 See firebird4.0-server package for more information about Firebird.

Package: libib-util
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Firebird UDF support library
 Contains utility functions used by Firebird User-Defined Functions (UDF) for
 memory management etc.
 .
 See firebird4.0-server package for more information about Firebird.

=== debian/tests/control ===
Tests: assorted-tools
Depends:
 firebird4.0-examples,
 firebird4.0-server-core,
 firebird4.0-utils,

=== debian/watch ===
Version: 5

Source: https://firebirdsql.org/en/firebird-4-0/
Matching-Pattern: .*/[Ff]irebird-(4\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
Dversionmangle: s/(?:\.ds\d+)$//
Repacksuffix: .ds6
Uversionmangle: s/-\d+//;s/-(?=\D)/~/g

#version=4
##opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds6" \
##  http://sf.net/firebird/[Ff]irebird-(4\.0\..*).tar.bz2
#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds6" \
#  https://firebirdsql.org/en/firebird-4-0/ .*/[Ff]irebird-(4\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
##opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds6" \
##  https://github.com/FirebirdSQL/firebird/releases .*/[Ff]irebird-(4\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
